import type { AccountId } from "./AccountId";
import type { FilePathText } from "./FilePathText";
import type { RawFileUrlText } from "./RawFileUrlText";
/**
 * Response body for BasicUpload.
 */
export declare type BasicUploadResponse = {
    accountId: AccountId;
    /**
     * The file's path.
     *
     * *We recommend you save this value to your database* (instead of the file's URL).
     *
     * This value always begins with a `/`.
     */
    filePath: FilePathText;
    /**
     * The file's raw URL (i.e. with no file transformations applied).
     */
    fileUrl: RawFileUrlText;
};
