import type { EpochMillis } from "./EpochMillis";
import type { FilePath } from "./FilePath";
import type { RawFileUrl } from "./RawFileUrl";
import type { SizeInBytes } from "./SizeInBytes";
/**
 * Summary information about a file (a subset of the FileDetails type).
 */
export declare type FileSummaryV2 = {
    /**
     * The file's path.
     *
     * *We recommend you save this value to your database* (instead of the file's URL).
     *
     * This value always begins with a `/`.
     */
    filePath: FilePath;
    /**
     * The file's raw URL (i.e. with no file transformations applied).
     */
    fileUrl: RawFileUrl;
    /**
     * Time the file was uploaded or last overwritten. Epoch milliseconds (since midnight 1 January 1970, UTC).
     */
    lastModified: EpochMillis;
    /**
     * The size of the file in bytes.
     */
    size: SizeInBytes;
    type: "File";
};
