import type { FolderPath } from "./FolderPath";
import type { FolderSettings } from "./FolderSettings";
import type { FolderSettingsInherited } from "./FolderSettingsInherited";
import type { FolderStatus } from "./FolderStatus";
export declare type FolderDetails = {
    /**
     * This folder's path. Always begins with a `/`.
     */
    folderPath: FolderPath;
    settings: FolderSettings;
    status: FolderStatus;
    type: "Folder";
    /**
     * The FolderSettings inheritable from the folder's ancestors.
     *
     * If both the `settings` field and the `settingsInherited` field define the same setting (e.g. the `storageLayer` setting) then the value from the `settings` field is used for the current folder and its descendants.
     */
    settingsInherited: FolderSettingsInherited;
};
