/**
 * Permissions relating to the reading of folders matched by the outer FolderPublicPermissions object.
 */
export declare type FolderReadGrants = {
    /**
     * Grants access to the `description` field on the FolderSettings object for folders at this path.
     */
    getFolderDescription: boolean;
    /**
     * Grants access to the `publicPermissions` field on the FolderSettings object for folders at this path.
     */
    getFolderPublicPermissions: boolean;
    /**
     * Grants access to the `storageLayer` field on the FolderSettings object for folders at this path.
     */
    getFolderStorageLayer: boolean;
    /**
     * Grants access to the ListFolderChildren endpoint for folders at this path.
     */
    listFolderChildren: boolean;
};
