import type { PublicPermissionsInherited } from "./PublicPermissionsInherited";
import type { StorageLayerInherited } from "./StorageLayerInherited";
/**
 * The FolderSettings inherited by the current path.
 *
 * If the folder defines its own `settings`, then those will take effect instead of these inherited settings.
 *
 * Each inherited setting contains a `folderPath` field to indicate which folder the setting was inherited from.
 *
 * Note: if the requester has insufficient privileges to read a setting, that setting's value will be `null`.
 */
export declare type FolderSettingsInherited = {
    publicPermissions: PublicPermissionsInherited | null;
    storageLayer: StorageLayerInherited | null;
};
