/**
 * Make all properties in T optional
 */
export declare type Partial_FolderWriteGrants_ = {
    /**
     * Grants access to the PutFolder endpoint for folders at this path.
     */
    createVirtualFolder?: boolean;
    /**
     * Grants access to the DeleteFolder endpoint for folders at this path, where the path references a folder created by PutFolder.
     */
    deleteVirtualFolder?: boolean;
    /**
     * Grants access to the `description` field on the PatchFolderSettings object used by the PutFolder endpoint.
     */
    setFolderDescription?: boolean;
    /**
     * Grants access to the `publicPermissions` field on the PatchFolderSettings object used by the PutFolder endpoint.
     */
    setFolderPublicPermissions?: boolean;
    /**
     * Grants access to the `storageLayer` field on the PatchFolderSettings object used by the PutFolder endpoint.
     */
    setFolderStorageLayer?: boolean;
};
