import type { FileWriteGrants } from "./FileWriteGrants";
import type { FolderWriteGrants } from "./FolderWriteGrants";
/**
 * Permissions relating to the writing of files and folders matched by the outer FolderPublicPermissions object.
 */
export declare type PathPermissionWriteGrants = {
    /**
     * Grants that apply if the path is being treated as a file.
     */
    file: FileWriteGrants;
    /**
     * Grants that apply if the path is being treated as a folder.
     */
    folder: FolderWriteGrants;
};
