/**
 * This object is the 1st parameter passed to the `onProgress` callback in the Upload JavaScript SDK: ```upload.uploadFile(file, {onProgress})```.
 */
export declare type UploadJsProgressEvent = {
    /**
     * Total number of bytes of the file that have been uploaded.
     *
     * Note: this value is smoothed using an exponential moving average (EMA).
     */
    bytesSent: number;
    /**
     * Total size of the file being uploaded.
     */
    bytesTotal: number;
    /**
     * Progress percentage from `0..100`.
     */
    progress: number;
};
