import type { UploadJwtPathPermissions } from "./UploadJwtPathPermissions";
import type { UploadJwtTagPermissions } from "./UploadJwtTagPermissions";
/**
 * Permissions to grant to the user.
 *
 * If the JWT is provided together with a public API key, then the permissions from the API key are merged with the JWT's permissions, taking the JWT's permissions where overlaps occur.
 *
 * *All fields are optional.*
 */
export declare type UploadJwtAccess = {
    pathPermissions?: Array<UploadJwtPathPermissions>;
    tagPermissions?: UploadJwtTagPermissions;
};
