/**
 * Colors to use for the Upload Widget.
 */
export declare type UploadWidgetColors = {
    /**
     * Color for primary buttons and links (hover state).
     *
     * Default: "#528fff"
     */
    active?: string;
    /**
     * Color for error messages.
     *
     * Default: "#d23f4d"
     */
    error?: string;
    /**
     * Color for primary buttons and links.
     *
     * Default: "#377dff"
     */
    primary?: string;
    /**
     * Color for standard text.
     *
     * Default: "#333"
     */
    shade100?: string;
    /**
     * Color for secondary button text.
     *
     * Default: "#7a7a7a"
     */
    shade200?: string;
    /**
     * Color for secondary button text (hover state).
     *
     * Default: "#999"
     */
    shade300?: string;
    /**
     * Color for the Upload Widget's welcome text.
     *
     * Default: "#a5a6a8"
     */
    shade400?: string;
    /**
     * Color for the Upload Widget's close button (only visible in `"modal"` mode).
     *
     * Default: "#d3d3d3"
     */
    shade500?: string;
    /**
     * Color for the Upload Widget's border.
     *
     * Default: "#dddddd"
     */
    shade600?: string;
    /**
     * Color for progress indicator backgrounds.
     *
     * Default: "#f0f0f0"
     */
    shade700?: string;
    /**
     * Color for uploaded file backgrounds.
     *
     * Default: "#f8f8f8"
     */
    shade800?: string;
    /**
     * Color for various UI components (draggable crop buttons, etc.).
     *
     * Default: "#fff"
     */
    shade900?: string;
};
