import type { EmailAddress } from "./EmailAddress";
import type { SystemRoleType } from "./SystemRoleType";
import type { UserBasicInformation } from "./UserBasicInformation";
import type { UserContextAccount } from "./UserContextAccount";
import type { UserId } from "./UserId";
/**
 * General information about the user and their accounts, fetched once at the start of an Upload Dashboard session.
 */
export declare type UserContext = {
    accounts: Array<UserContextAccount>;
    basicInformation: UserBasicInformation;
    email: EmailAddress;
    systemRole: SystemRoleType | null;
    userId: UserId;
};
