import type { AccountId } from "../models/AccountId";
import type { CacheInvalidation } from "../models/CacheInvalidation";
import type { UnionAllFields_CachePolicy_null_ } from "../models/UnionAllFields_CachePolicy_null_";
export declare class CachingService {
    /**
     * Creates a new public or secret API key for the account.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static setDefaultCachePolicy(accountId: AccountId, requestBody: UnionAllFields_CachePolicy_null_): Promise<any>;
    /**
     * Creates a new public or secret API key for the account.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static createInvalidation(accountId: AccountId, requestBody: CacheInvalidation): Promise<any>;
}
