import type { Jwt } from "../models/Jwt";
import type { PublicKeyPEM } from "../models/PublicKeyPEM";
export declare class CdnAccessTokenService {
    /**
     * Gets the public key used to verify CDN access tokens issued by this API.
     * @returns PublicKeyPEM Success.
     * @throws ApiError
     */
    static getPublicKey(): Promise<PublicKeyPEM>;
    /**
     * Generates a new CDN access token for the currently signed-in user.
     * @returns Jwt Success.
     * @throws ApiError
     */
    static generateCdnAccessToken(): Promise<Jwt>;
}
