import type { AccountId } from "../models/AccountId";
import type { UserBasicInformation } from "../models/UserBasicInformation";
import type { UserContext } from "../models/UserContext";
export declare class UserService {
    /**
     * Gets general information about the current user and their accounts, intended to be called at the start of a session
     * in the Upload Dashboard.
     * @param accountId
     * @returns UserContext Success.
     * @throws ApiError
     */
    static context(accountId?: AccountId): Promise<UserContext>;
    /**
     * Deletes the current user, permanently deleting any accounts they were the sole administrator of.
     * @returns any Success.
     * @throws ApiError
     */
    static deleteCurrentUser(): Promise<any>;
    /**
     * Updates the current user's basic information.
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static updateBasicInformation(requestBody: UserBasicInformation): Promise<any>;
}
