/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FileDetails } from "./FileDetails";
import type { FilePartCount } from "./FilePartCount";
import type { UploadId } from "./UploadId";
import type { UploadPartV2 } from "./UploadPartV2";

/**
 * Response body for BeginMultipartUpload.
 */
export type BeginMultipartUploadResponseV2 = {
  /**
   * Details of the file being uploaded, including its file metadata, file tags, original file name, and MIME type.
   */
  file: FileDetails;
  /**
   * A unique ID for the multipart file upload session created as a result of this request.
   */
  uploadId: UploadId;
  uploadParts: {
    /**
     * Represents the first part of a file to be uploaded as part of the multipart file upload.
     */
    first: UploadPartV2;
    count: FilePartCount;
  };
};
