/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FilePath } from "./FilePath";
import type { RawFileUrl } from "./RawFileUrl";
import type { UploadedFile } from "./UploadedFile";

/**
 * The result returned by the Upload Widget.
 *
 * *Note:* the Upload Widget returns an *array* of these items.
 */
export type UploadWidgetResult = {
  /**
   * If the user *did not* upload a cropped image, then this field will be *undefined*.
   *
   * If the user *did* upload a cropped image, then this field will refer to a JSON file containing the cropped image's dimensions.
   *
   * You must view this file via an image transformation — e.g. `thumbnail` — for the JSON file to be rendered as an image. If you view this file using `raw` in the URL then you'll see the raw JSON file containing the crop dimensions.
   */
  editedFile?: UploadedFile;
  /**
   * The `filePath` of the `editedFile` — if it exists — else the `filePath` of the `originalFile`.
   */
  filePath: FilePath;
  /**
   * A browser-loadable URL for `filePath`, using the most suitable transformation available from your Upload account, else uses `raw`.
   */
  fileUrl: RawFileUrl;
  /**
   * The original file uploaded from the user's device.
   */
  originalFile: UploadedFile;
};
