/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { AccountCaching } from "./AccountCaching";
import type { AccountCustomDomain } from "./AccountCustomDomain";
import type { AccountId } from "./AccountId";
import type { AccountMilestones } from "./AccountMilestones";
import type { AllowedOrigin } from "./AllowedOrigin";
import type { ApiKeyDetails_PublicApiKey_ } from "./ApiKeyDetails_PublicApiKey_";
import type { ApiKeyDetails_SecretApiKey_ } from "./ApiKeyDetails_SecretApiKey_";
import type { Invitation } from "./Invitation";
import type { PaddlePlanId } from "./PaddlePlanId";
import type { Plugin } from "./Plugin";
import type { PublicKey } from "./PublicKey";
import type { SubscriptionPlanEffective } from "./SubscriptionPlanEffective";
import type { UserContextRules } from "./UserContextRules";
import type { UserRoleType } from "./UserRoleType";
import type { UserSummary } from "./UserSummary";

/**
 * General information about a user's account.
 */
export type UserContextAccount = {
  accountId: AccountId;
  billing: {
    updatePaymentMethodUrl: string | null;
    planPrevious: SubscriptionPlanEffective | null;
    planNext: SubscriptionPlanEffective | null;
    planIsChanging: boolean;
    plan: SubscriptionPlanEffective | null;
    paymentDetailsSubmitted: boolean;
    paddlePlanId: PaddlePlanId | null;
    hadSubscription: boolean;
    cancelSubscriptionUrl: string | null;
  };
  caching: AccountCaching;
  customDomains: Array<AccountCustomDomain>;
  invitations: Array<Invitation>;
  members: Array<UserSummary>;
  milestones: AccountMilestones;
  plugins: {
    official: Array<Plugin>;
    custom: Array<Plugin>;
  };
  role: UserRoleType;
  rules: UserContextRules;
  security: {
    publicKeys: Array<PublicKey>;
    apiKeys: {
      /**
       * API keys to use in backend code. Must be kept secret.
       */
      secret: Array<ApiKeyDetails_SecretApiKey_>;
      /**
       * API keys to use in frontend code.
       */
      public: Array<ApiKeyDetails_PublicApiKey_>;
    };
    allowedOriginsChecksEnabled: boolean;
    allowedOrigins: Array<AllowedOrigin>;
  };
};
